package com.ruoyi.system.domain.other;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class LabelsExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public LabelsExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCodeIsNull() {
            addCriterion("code is null");
            return (Criteria) this;
        }

        public Criteria andCodeIsNotNull() {
            addCriterion("code is not null");
            return (Criteria) this;
        }

        public Criteria andCodeEqualTo(String value) {
            addCriterion("code =", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotEqualTo(String value) {
            addCriterion("code <>", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThan(String value) {
            addCriterion("code >", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThanOrEqualTo(String value) {
            addCriterion("code >=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThan(String value) {
            addCriterion("code <", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThanOrEqualTo(String value) {
            addCriterion("code <=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLike(String value) {
            addCriterion("code like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotLike(String value) {
            addCriterion("code not like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeIn(List<String> values) {
            addCriterion("code in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotIn(List<String> values) {
            addCriterion("code not in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeBetween(String value1, String value2) {
            addCriterion("code between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotBetween(String value1, String value2) {
            addCriterion("code not between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull() {
            addCriterion("description is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull() {
            addCriterion("description is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value) {
            addCriterion("description =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value) {
            addCriterion("description <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value) {
            addCriterion("description >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("description >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value) {
            addCriterion("description <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value) {
            addCriterion("description <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value) {
            addCriterion("description like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value) {
            addCriterion("description not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values) {
            addCriterion("description in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values) {
            addCriterion("description not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2) {
            addCriterion("description between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2) {
            addCriterion("description not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andParentIdIsNull() {
            addCriterion("parent_id is null");
            return (Criteria) this;
        }

        public Criteria andParentIdIsNotNull() {
            addCriterion("parent_id is not null");
            return (Criteria) this;
        }

        public Criteria andParentIdEqualTo(String value) {
            addCriterion("parent_id =", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotEqualTo(String value) {
            addCriterion("parent_id <>", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdGreaterThan(String value) {
            addCriterion("parent_id >", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdGreaterThanOrEqualTo(String value) {
            addCriterion("parent_id >=", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdLessThan(String value) {
            addCriterion("parent_id <", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdLessThanOrEqualTo(String value) {
            addCriterion("parent_id <=", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdLike(String value) {
            addCriterion("parent_id like", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotLike(String value) {
            addCriterion("parent_id not like", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdIn(List<String> values) {
            addCriterion("parent_id in", values, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotIn(List<String> values) {
            addCriterion("parent_id not in", values, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdBetween(String value1, String value2) {
            addCriterion("parent_id between", value1, value2, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotBetween(String value1, String value2) {
            addCriterion("parent_id not between", value1, value2, "parentId");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNull() {
            addCriterion("is_valid is null");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNotNull() {
            addCriterion("is_valid is not null");
            return (Criteria) this;
        }

        public Criteria andIsValidEqualTo(String value) {
            addCriterion("is_valid =", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotEqualTo(String value) {
            addCriterion("is_valid <>", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThan(String value) {
            addCriterion("is_valid >", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThanOrEqualTo(String value) {
            addCriterion("is_valid >=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThan(String value) {
            addCriterion("is_valid <", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThanOrEqualTo(String value) {
            addCriterion("is_valid <=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLike(String value) {
            addCriterion("is_valid like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotLike(String value) {
            addCriterion("is_valid not like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidIn(List<String> values) {
            addCriterion("is_valid in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotIn(List<String> values) {
            addCriterion("is_valid not in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidBetween(String value1, String value2) {
            addCriterion("is_valid between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotBetween(String value1, String value2) {
            addCriterion("is_valid not between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andSortIsNull() {
            addCriterion("sort is null");
            return (Criteria) this;
        }

        public Criteria andSortIsNotNull() {
            addCriterion("sort is not null");
            return (Criteria) this;
        }

        public Criteria andSortEqualTo(String value) {
            addCriterion("sort =", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotEqualTo(String value) {
            addCriterion("sort <>", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortGreaterThan(String value) {
            addCriterion("sort >", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortGreaterThanOrEqualTo(String value) {
            addCriterion("sort >=", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortLessThan(String value) {
            addCriterion("sort <", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortLessThanOrEqualTo(String value) {
            addCriterion("sort <=", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortLike(String value) {
            addCriterion("sort like", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotLike(String value) {
            addCriterion("sort not like", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortIn(List<String> values) {
            addCriterion("sort in", values, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotIn(List<String> values) {
            addCriterion("sort not in", values, "sort");
            return (Criteria) this;
        }

        public Criteria andSortBetween(String value1, String value2) {
            addCriterion("sort between", value1, value2, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotBetween(String value1, String value2) {
            addCriterion("sort not between", value1, value2, "sort");
            return (Criteria) this;
        }

        public Criteria andScopeLike(String value) {
            addCriterion("scope like", value, "scope");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNull() {
            addCriterion("ylzd1 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNotNull() {
            addCriterion("ylzd1 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd1EqualTo(String value) {
            addCriterion("ylzd1 =", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotEqualTo(String value) {
            addCriterion("ylzd1 <>", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThan(String value) {
            addCriterion("ylzd1 >", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd1 >=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThan(String value) {
            addCriterion("ylzd1 <", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThanOrEqualTo(String value) {
            addCriterion("ylzd1 <=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Like(String value) {
            addCriterion("ylzd1 like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotLike(String value) {
            addCriterion("ylzd1 not like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1In(List<String> values) {
            addCriterion("ylzd1 in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotIn(List<String> values) {
            addCriterion("ylzd1 not in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Between(String value1, String value2) {
            addCriterion("ylzd1 between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotBetween(String value1, String value2) {
            addCriterion("ylzd1 not between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNull() {
            addCriterion("ylzd2 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNotNull() {
            addCriterion("ylzd2 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd2EqualTo(String value) {
            addCriterion("ylzd2 =", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotEqualTo(String value) {
            addCriterion("ylzd2 <>", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThan(String value) {
            addCriterion("ylzd2 >", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd2 >=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThan(String value) {
            addCriterion("ylzd2 <", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThanOrEqualTo(String value) {
            addCriterion("ylzd2 <=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Like(String value) {
            addCriterion("ylzd2 like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotLike(String value) {
            addCriterion("ylzd2 not like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2In(List<String> values) {
            addCriterion("ylzd2 in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotIn(List<String> values) {
            addCriterion("ylzd2 not in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Between(String value1, String value2) {
            addCriterion("ylzd2 between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotBetween(String value1, String value2) {
            addCriterion("ylzd2 not between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNull() {
            addCriterion("ylzd3 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNotNull() {
            addCriterion("ylzd3 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd3EqualTo(String value) {
            addCriterion("ylzd3 =", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotEqualTo(String value) {
            addCriterion("ylzd3 <>", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThan(String value) {
            addCriterion("ylzd3 >", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd3 >=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThan(String value) {
            addCriterion("ylzd3 <", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThanOrEqualTo(String value) {
            addCriterion("ylzd3 <=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Like(String value) {
            addCriterion("ylzd3 like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotLike(String value) {
            addCriterion("ylzd3 not like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3In(List<String> values) {
            addCriterion("ylzd3 in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotIn(List<String> values) {
            addCriterion("ylzd3 not in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Between(String value1, String value2) {
            addCriterion("ylzd3 between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotBetween(String value1, String value2) {
            addCriterion("ylzd3 not between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNull() {
            addCriterion("ylzd4 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNotNull() {
            addCriterion("ylzd4 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd4EqualTo(String value) {
            addCriterion("ylzd4 =", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotEqualTo(String value) {
            addCriterion("ylzd4 <>", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThan(String value) {
            addCriterion("ylzd4 >", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd4 >=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThan(String value) {
            addCriterion("ylzd4 <", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThanOrEqualTo(String value) {
            addCriterion("ylzd4 <=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Like(String value) {
            addCriterion("ylzd4 like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotLike(String value) {
            addCriterion("ylzd4 not like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4In(List<String> values) {
            addCriterion("ylzd4 in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotIn(List<String> values) {
            addCriterion("ylzd4 not in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Between(String value1, String value2) {
            addCriterion("ylzd4 between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotBetween(String value1, String value2) {
            addCriterion("ylzd4 not between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNull() {
            addCriterion("ylzd5 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNotNull() {
            addCriterion("ylzd5 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd5EqualTo(String value) {
            addCriterion("ylzd5 =", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotEqualTo(String value) {
            addCriterion("ylzd5 <>", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThan(String value) {
            addCriterion("ylzd5 >", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd5 >=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThan(String value) {
            addCriterion("ylzd5 <", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThanOrEqualTo(String value) {
            addCriterion("ylzd5 <=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Like(String value) {
            addCriterion("ylzd5 like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotLike(String value) {
            addCriterion("ylzd5 not like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5In(List<String> values) {
            addCriterion("ylzd5 in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotIn(List<String> values) {
            addCriterion("ylzd5 not in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Between(String value1, String value2) {
            addCriterion("ylzd5 between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotBetween(String value1, String value2) {
            addCriterion("ylzd5 not between", value1, value2, "ylzd5");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
